" Vim syntax file
" Language:	users_table
" Maintainer:	Bartlomij Ochojski <bartek@podlesie.net>
" Last Change:	2007 Jan 01

" Quit when a (custom) syntax file was already loaded
if exists("b:current_syntax")
  finish
endif

syn keyword uKeyword	single none gw p2p
syn match uComment	"\#.*"
syn match uError	"^ .*$"
syn match uError	"^[^#].*\td$"
syn match uIP		"\t192\.168\.[0-9]*\.[0-9]*"
syn match uMAC		"\t[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]"
syn match uDevices	"\t@NG-[SWNEPRQUX]"
syn match uDevices	"\t@eth[0-9]"
syn match uDevices	"\teth[0-9]"
syn match uDevices	"\tdummy"
syn match uDevices	"\t@firma"
syn match uDevices	"\t@niekosc"

if version >= 508 || !exists("did_bc_syntax_inits")
  if version < 508
    let did_bc_syntax_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink uKeyword		Statement
  HiLink uIP			Constant
  HiLink uMAC			Number
  HiLink uComment		Comment
  HiLink uDevices		PreProc	
  HiLink uError			Error

  delcommand HiLink
endif

let b:current_syntax = "users_table"

" vim: ts=8
